### Method

# Gtk GridView set_max_columns

#### Declaration [src]

    void
    gtk_grid_view_set_max_columns (
      GtkGridView* self,
      guint max_columns
    )

#### Description [src]

Sets the maximum number of columns to use.

This number must be at least 1.

If `max_columns` is smaller than the minimum set via gtk_grid_view_set_min_columns(), that value is used instead.

Sets property | `Gtk.GridView:max-columns`

#### Parameters

`max_columns` | `guint`
| The maximum number of columns.